[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ColRowDeleted

Performs actions when a column or a row is deleted from the control.

## Declaration

Source position: grids.pas line 1003

`protected procedure TCustomGrid.ColRowDeleted(`
`IsColumn: Boolean;`
`index: Integer`
`); virtual;`

## Arguments

`IsColumn` |  | True to remove a column, False to remove a Row.
`index` |  | Ordinal position for the column or row removed in the method.

## Description

ColRowDeleted has an empty implementation in TCustomGrid. It is overridden in descendent classes to remove the affected cells and perform notifications.

## See also

TCustomDrawGrid.ColRowDeleted |  | Performs actions when a column or a row is deleted from the control.